Skip to main content

Match Endpoints (22)

All endpoints use base URL https://v2.futsal.sportsapipro.com.

Core Match Data

GET /api/match/:matchId                     # Full match details
GET /api/match/:matchId/scores              # Period-by-period scores (1st half, 2nd half, ET, penalties)
GET /api/match/:matchId/lineups             # Starting five + bench for both teams
GET /api/match/:matchId/statistics           # Match stats (possession, shots, fouls, accumulated fouls)
GET /api/match/:matchId/incidents            # Goals, cards, fouls, timeouts, power plays

Player Performance

GET /api/match/:matchId/player-statistics    # All player stats in match
GET /api/match/:matchId/player/:pid/statistics # Individual player stats
GET /api/match/:matchId/best-players         # Top performers
GET /api/match/:matchId/award                # MVP of the match

Context & History

GET /api/match/:matchId/h2h                  # Head-to-head history
GET /api/match/:matchId/graph                # Scoring progression
GET /api/match/:matchId/pregame-form         # Recent form (W/D/L streak)
GET /api/match/:matchId/streaks              # Team streaks

Media & Broadcast

GET /api/match/:matchId/highlights           # Video highlights
GET /api/match/:matchId/media                # Match media
GET /api/match/:matchId/votes                # Fan predictions
GET /api/match/:matchId/channels             # TV broadcast info

Odds

GET /api/match/:matchId/odds                 # Featured odds
GET /api/match/:matchId/odds/all             # All odds providers
GET /api/match/:matchId/odds/pre-match       # Pre-match odds
GET /api/match/:matchId/odds/live            # Live odds
GET /api/match/:matchId/winning-odds         # Win probability